For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList liens for a business
        • POSTCreate a lien for a business
        • POSTCreate lien filings in batch
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationLiens

Create lien filings in batch

POST
https://api.middesk.com/v1/businesses/:business_id/liens/batch
POST
/v1/businesses/:business_id/liens/batch
$curl -X POST https://api.middesk.com/v1/businesses/business_id/liens/batch \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "liens": [
> {
> "state": "CA",
> "debtors": [
> {
> "organization_name": "Acme Corporation",
> "addresses": [
> {
> "address_line1": "123 Main Street",
> "city": "San Francisco",
> "state": "CA",
> "postal_code": "94105"
> }
> ]
> }
> ],
> "collateral": "All business assets and inventory",
> "loan_principal_amount_cents": 50000000
> },
> {
> "state": "TX",
> "debtors": [
> {
> "organization_name": "Acme Corporation",
> "addresses": [
> {
> "address_line1": "456 Commerce Street",
> "city": "Dallas",
> "state": "TX",
> "postal_code": "75201"
> }
> ]
> }
> ],
> "collateral": "All business assets and inventory",
> "loan_principal_amount_cents": 25000000
> }
> ]
>}'
1{
2 "object": "list",
3 "data": [
4 {
5 "object": "lien",
6 "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
7 "type": "ucc",
8 "business_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
9 "debtors": [
10 {
11 "organization_name": "Test Debtor LLC",
12 "addresses": [
13 {
14 "full_address": "123 Main St, San Francisco, CA 94102",
15 "address_line1": "123 Main St",
16 "city": "San Francisco",
17 "state": "CA",
18 "postal_code": "94102"
19 }
20 ]
21 }
22 ],
23 "secured_parties": [
24 {
25 "organization_name": "Example Secured Party",
26 "addresses": [
27 {
28 "full_address": "456 Finance Ave, New York, NY 10001",
29 "address_line1": "456 Finance Ave",
30 "city": "New York",
31 "state": "NY",
32 "postal_code": "10001"
33 }
34 ]
35 }
36 ],
37 "state": "CA",
38 "status": "created",
39 "collateral": "All business assets",
40 "negative_pledge": false,
41 "loan_principal_amount_cents": 100000,
42 "status_category": "pending",
43 "owner_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
44 "owner_type": "Business",
45 "filed_by_account": true
46 },
47 {
48 "object": "lien",
49 "id": "c3d4e5f6-a7b8-9012-cdef-345678901234",
50 "type": "ucc",
51 "business_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
52 "debtors": [
53 {
54 "organization_name": "Test Debtor LLC",
55 "addresses": [
56 {
57 "full_address": "123 Main St, San Francisco, CA 94102",
58 "address_line1": "123 Main St",
59 "city": "San Francisco",
60 "state": "CA",
61 "postal_code": "94102"
62 }
63 ]
64 }
65 ],
66 "secured_parties": [
67 {
68 "organization_name": "Example Secured Party",
69 "addresses": [
70 {
71 "full_address": "456 Finance Ave, New York, NY 10001",
72 "address_line1": "456 Finance Ave",
73 "city": "New York",
74 "state": "NY",
75 "postal_code": "10001"
76 }
77 ]
78 }
79 ],
80 "state": "TX",
81 "status": "created",
82 "collateral": "All business assets",
83 "negative_pledge": false,
84 "loan_principal_amount_cents": 50000,
85 "status_category": "pending",
86 "owner_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
87 "owner_type": "Business",
88 "filed_by_account": true
89 }
90 ]
91}

Creates multiple lien filings in a single request. Each entry is processed independently. Successful entries return lien objects, failed entries return per-item errors.

Was this page helpful?
Previous

Create a termination for a lien

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

business_idstringRequired
Business ID

Request

This endpoint expects an object.
lienslist of objectsRequired
Array of lien filing entries. Each entry creates one lien. Each entry must have a unique state. Maximum 50 entries per request.

Response

batch processed

Errors

422
Create Lien Filings IN Batch Request Unprocessable Entity Error